// python wrapper for vtkBlueObeliskData
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkBlueObeliskData.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBlueObeliskData(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBlueObeliskData(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBlueObeliskDataNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBlueObeliskDataNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkBlueObeliskData_Doc();


static PyObject *
PyvtkBlueObeliskData_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkBlueObeliskData::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBlueObeliskData::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkBlueObeliskData *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBlueObeliskData::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkBlueObeliskData *tempr = vtkBlueObeliskData::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Initialize();
      }
    else
      {
      op->vtkBlueObeliskData::Initialize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_IsInitialized(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInitialized");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->IsInitialized() :
      op->vtkBlueObeliskData::IsInitialized());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetNumberOfElements(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfElements");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    unsigned short tempr = (ap.IsBound() ?
      op->GetNumberOfElements() :
      op->vtkBlueObeliskData::GetNumberOfElements());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetSymbols(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSymbols");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetSymbols() :
      op->vtkBlueObeliskData::GetSymbols());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetLowerSymbols(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLowerSymbols");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetLowerSymbols() :
      op->vtkBlueObeliskData::GetLowerSymbols());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetNames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetNames() :
      op->vtkBlueObeliskData::GetNames());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetLowerNames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLowerNames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetLowerNames() :
      op->vtkBlueObeliskData::GetLowerNames());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetPeriodicTableBlocks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPeriodicTableBlocks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetPeriodicTableBlocks() :
      op->vtkBlueObeliskData::GetPeriodicTableBlocks());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetElectronicConfigurations(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElectronicConfigurations");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetElectronicConfigurations() :
      op->vtkBlueObeliskData::GetElectronicConfigurations());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetFamilies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFamilies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetFamilies() :
      op->vtkBlueObeliskData::GetFamilies());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetMasses(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMasses");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFloatArray *tempr = (ap.IsBound() ?
      op->GetMasses() :
      op->vtkBlueObeliskData::GetMasses());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetExactMasses(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetExactMasses");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFloatArray *tempr = (ap.IsBound() ?
      op->GetExactMasses() :
      op->vtkBlueObeliskData::GetExactMasses());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetIonizationEnergies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIonizationEnergies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFloatArray *tempr = (ap.IsBound() ?
      op->GetIonizationEnergies() :
      op->vtkBlueObeliskData::GetIonizationEnergies());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetElectronAffinities(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElectronAffinities");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFloatArray *tempr = (ap.IsBound() ?
      op->GetElectronAffinities() :
      op->vtkBlueObeliskData::GetElectronAffinities());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetPaulingElectronegativities(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPaulingElectronegativities");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFloatArray *tempr = (ap.IsBound() ?
      op->GetPaulingElectronegativities() :
      op->vtkBlueObeliskData::GetPaulingElectronegativities());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetCovalentRadii(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCovalentRadii");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFloatArray *tempr = (ap.IsBound() ?
      op->GetCovalentRadii() :
      op->vtkBlueObeliskData::GetCovalentRadii());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetVDWRadii(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVDWRadii");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFloatArray *tempr = (ap.IsBound() ?
      op->GetVDWRadii() :
      op->vtkBlueObeliskData::GetVDWRadii());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetDefaultColors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDefaultColors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFloatArray *tempr = (ap.IsBound() ?
      op->GetDefaultColors() :
      op->vtkBlueObeliskData::GetDefaultColors());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetBoilingPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBoilingPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFloatArray *tempr = (ap.IsBound() ?
      op->GetBoilingPoints() :
      op->vtkBlueObeliskData::GetBoilingPoints());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetMeltingPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMeltingPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFloatArray *tempr = (ap.IsBound() ?
      op->GetMeltingPoints() :
      op->vtkBlueObeliskData::GetMeltingPoints());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetPeriods(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPeriods");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkUnsignedShortArray *tempr = (ap.IsBound() ?
      op->GetPeriods() :
      op->vtkBlueObeliskData::GetPeriods());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBlueObeliskData_GetGroups(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGroups");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBlueObeliskData *op = static_cast<vtkBlueObeliskData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkUnsignedShortArray *tempr = (ap.IsBound() ?
      op->GetGroups() :
      op->vtkBlueObeliskData::GetGroups());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkBlueObeliskData_Methods[] = {
  {(char*)"GetClassName", PyvtkBlueObeliskData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBlueObeliskData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBlueObeliskData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBlueObeliskData\nC++: vtkBlueObeliskData *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBlueObeliskData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBlueObeliskData\nC++: vtkBlueObeliskData *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Initialize", PyvtkBlueObeliskData_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize()\n\nFill this object using an internal vtkBlueObeliskDataParser\ninstance. Check that the vtkSimpleMutexLock GetWriteMutex() is\nlocked before calling this method on a static instance in a\nmultithreaded environment.\n"},
  {(char*)"IsInitialized", PyvtkBlueObeliskData_IsInitialized, 1,
   (char*)"V.IsInitialized() -> bool\nC++: bool IsInitialized()\n\nCheck if this object has been initialized yet.\n"},
  {(char*)"GetNumberOfElements", PyvtkBlueObeliskData_GetNumberOfElements, 1,
   (char*)"V.GetNumberOfElements() -> int\nC++: unsigned short GetNumberOfElements()\n\nReturn the number of elements for which this vtkBlueObeliskData\ninstance contains information.\n"},
  {(char*)"GetSymbols", PyvtkBlueObeliskData_GetSymbols, 1,
   (char*)"V.GetSymbols() -> vtkStringArray\nC++: virtual vtkStringArray *GetSymbols()\n\nAccess the raw arrays stored in this vtkBlueObeliskData.\n"},
  {(char*)"GetLowerSymbols", PyvtkBlueObeliskData_GetLowerSymbols, 1,
   (char*)"V.GetLowerSymbols() -> vtkStringArray\nC++: virtual vtkStringArray *GetLowerSymbols()\n\nAccess the raw arrays stored in this vtkBlueObeliskData.\n"},
  {(char*)"GetNames", PyvtkBlueObeliskData_GetNames, 1,
   (char*)"V.GetNames() -> vtkStringArray\nC++: virtual vtkStringArray *GetNames()\n\nAccess the raw arrays stored in this vtkBlueObeliskData.\n"},
  {(char*)"GetLowerNames", PyvtkBlueObeliskData_GetLowerNames, 1,
   (char*)"V.GetLowerNames() -> vtkStringArray\nC++: virtual vtkStringArray *GetLowerNames()\n\nAccess the raw arrays stored in this vtkBlueObeliskData.\n"},
  {(char*)"GetPeriodicTableBlocks", PyvtkBlueObeliskData_GetPeriodicTableBlocks, 1,
   (char*)"V.GetPeriodicTableBlocks() -> vtkStringArray\nC++: virtual vtkStringArray *GetPeriodicTableBlocks()\n\nAccess the raw arrays stored in this vtkBlueObeliskData.\n"},
  {(char*)"GetElectronicConfigurations", PyvtkBlueObeliskData_GetElectronicConfigurations, 1,
   (char*)"V.GetElectronicConfigurations() -> vtkStringArray\nC++: virtual vtkStringArray *GetElectronicConfigurations()\n\nAccess the raw arrays stored in this vtkBlueObeliskData.\n"},
  {(char*)"GetFamilies", PyvtkBlueObeliskData_GetFamilies, 1,
   (char*)"V.GetFamilies() -> vtkStringArray\nC++: virtual vtkStringArray *GetFamilies()\n\nAccess the raw arrays stored in this vtkBlueObeliskData.\n"},
  {(char*)"GetMasses", PyvtkBlueObeliskData_GetMasses, 1,
   (char*)"V.GetMasses() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetMasses()\n\n"},
  {(char*)"GetExactMasses", PyvtkBlueObeliskData_GetExactMasses, 1,
   (char*)"V.GetExactMasses() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetExactMasses()\n\n"},
  {(char*)"GetIonizationEnergies", PyvtkBlueObeliskData_GetIonizationEnergies, 1,
   (char*)"V.GetIonizationEnergies() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetIonizationEnergies()\n\n"},
  {(char*)"GetElectronAffinities", PyvtkBlueObeliskData_GetElectronAffinities, 1,
   (char*)"V.GetElectronAffinities() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetElectronAffinities()\n\n"},
  {(char*)"GetPaulingElectronegativities", PyvtkBlueObeliskData_GetPaulingElectronegativities, 1,
   (char*)"V.GetPaulingElectronegativities() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetPaulingElectronegativities()\n\n"},
  {(char*)"GetCovalentRadii", PyvtkBlueObeliskData_GetCovalentRadii, 1,
   (char*)"V.GetCovalentRadii() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetCovalentRadii()\n\n"},
  {(char*)"GetVDWRadii", PyvtkBlueObeliskData_GetVDWRadii, 1,
   (char*)"V.GetVDWRadii() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetVDWRadii()\n\n"},
  {(char*)"GetDefaultColors", PyvtkBlueObeliskData_GetDefaultColors, 1,
   (char*)"V.GetDefaultColors() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetDefaultColors()\n\n"},
  {(char*)"GetBoilingPoints", PyvtkBlueObeliskData_GetBoilingPoints, 1,
   (char*)"V.GetBoilingPoints() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetBoilingPoints()\n\n"},
  {(char*)"GetMeltingPoints", PyvtkBlueObeliskData_GetMeltingPoints, 1,
   (char*)"V.GetMeltingPoints() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetMeltingPoints()\n\n"},
  {(char*)"GetPeriods", PyvtkBlueObeliskData_GetPeriods, 1,
   (char*)"V.GetPeriods() -> vtkUnsignedShortArray\nC++: virtual vtkUnsignedShortArray *GetPeriods()\n\n"},
  {(char*)"GetGroups", PyvtkBlueObeliskData_GetGroups, 1,
   (char*)"V.GetGroups() -> vtkUnsignedShortArray\nC++: virtual vtkUnsignedShortArray *GetGroups()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBlueObeliskData_StaticNew()
{
  return vtkBlueObeliskData::New();
}

PyObject *PyVTKClass_vtkBlueObeliskDataNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBlueObeliskData_StaticNew,
    PyvtkBlueObeliskData_Methods,
    "vtkBlueObeliskData", modulename,
    NULL, NULL,
    PyvtkBlueObeliskData_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkBlueObeliskData_Doc()
{
  static const char *docstring[] = {
    "vtkBlueObeliskData - Contains chemical data from the Blue\n\n",
    "Superclass: vtkObject\n\n",
    "The Blue Obelisk Data Repository is a free, open repository of\nchemical information. This class is a container for this information.\n\note This class contains only the raw arrays parsed from the BODR. For\nmore convenient access to this data, use the vtkPeriodicTable class.\n\note If you must use this class directly, consider using the static\nvtkBlueObeliskData object accessible through\nvtkPeriodicTab",
    "le::GetBlueObeliskData(). This object is automatically\npopulated on the first instantiation of vtkPeriodicTable.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBlueObeliskData(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBlueObeliskDataNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBlueObeliskData", o) != 0)
    {
    Py_DECREF(o);
    }

}

